# AbstractForwardedChannelOpener (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.connection.channel.forwarded
Class AbstractForwardedChannelOpener

    java.lang.Object
      net.schmizz.sshj.connection.channel.forwarded.AbstractForwardedChannelOpener

All Implemented Interfaces:
  ForwardedChannelOpener

Direct Known Subclasses:
  RemotePortForwarder, X11Forwarder

    public abstract class AbstractForwardedChannelOpener

extends Object
implements ForwardedChannelOpener

Base class for `ForwardedChannelOpener`'s.

Field Summary
`protected String` `chanType`
`protected Connection` `conn`
`protected org.slf4j.Logger` `log`

Constructor Summary
`protected` `AbstractForwardedChannelOpener(String chanType, Connection conn)`

Method Summary
`protected void` `callListener(ConnectListener listener, Channel.Forwarded chan)` Calls the listener with the new channel in a separate thread.
`String` `getChannelType()` Returns the name of the channel type this opener can next.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.schmizz.sshj.connection.channel.forwarded.ForwardedChannelOpener
`handleOpen`

Field Detail

### log

    protected final org.slf4j.Logger log

### chanType

    protected final String chanType

### conn

    protected final Connection conn

Constructor Detail

### AbstractForwardedChannelOpener

    protected AbstractForwardedChannelOpener(String chanType,
                                             Connection conn)

Method Detail

### getChannelType

    public String getChannelType()

  Description copied from interface: `ForwardedChannelOpener`
  Returns the name of the channel type this opener can next.

  Specified by:
    `getChannelType` in interface `ForwardedChannelOpener`

### callListener

    protected void callListener(ConnectListener listener,
                                Channel.Forwarded chan)

  Calls the listener with the new channel in a separate thread.

Copyright © 2009-2011. All Rights Reserved.